RDMnet::LLRP::llrp_data Struct Reference

1.2.1 Low-Level Recovery Protocol (LLRP) More...

`#include <llrp.h>`

Inheritance diagram for RDMnet::LLRP::llrp_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| llrp_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| llrp_data::oStream More...

## Public Attributes

UUID::uuid | destination
| The receiver's unique CID or LLRP_BROADCAST_CID,.
uint32_t | transaction
| Used to match request / response messages.
std::shared_ptr< RDMnet::Pdu > | child
| Probe Request PDU, Probe Reply PDU or RDM Command PDU...

## Detailed Description

1.2.1 Low-Level Recovery Protocol (LLRP)

LLRP is a multicast protocol that provides basic IP configuration. It has its own limited discovery mechanism, which does not require a valid IP configuration. LLRP is intended as a light-weight protocol, and as such it is not designed for scalability or for discovery and normal operation on a large network.

5.4 Packet Structure

## Member Function Documentation

## iStream()

void RDMnet::LLRP::llrp_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

llrp_data::iStream

Parameters

  stream |

Destination CID - The Destination CID indicates the CID of the intended recipient of this PDU.

Transaction Number - The Transaction Number allows an LLRP Manager to associate reply messages with requests.

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::LLRP::llrp_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

llrp_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::LLRP::llrp_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.cpp